# List all customer Subscriptions **GET /v1/customers/{customerId}/subscriptions** Returns a list of subscriptions for the provided customer. The subscriptions are returned sorted by the specified sortPropertyName. ## Servers - https://api.cloudcockpit.com: https://api.cloudcockpit.com () ## Authentication methods - Bearer auth ## Parameters ### Headers - **X-Tenant** (string) The domain used to access the portal. - **Authorization** (string) JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}" - **X-Correlation-Id** (string(uuid)) This header is optional and by setting it you can correlate the audit logs made by this request. ### Path parameters - **customerId** (string(uuid)) The GUID identifier for the customer. The subscriptions are listed only the selected customer. ### Query parameters - **pageNumber** (integer(int32)) A cursor for pagination across multiple pages of results. The default value is 1. - **pageSize** (integer(int32)) The number of objects to be returned at each page. The size can range between 1 and 2000, and the default is 25. - **searchValue** (string) The search query string. - **sortPropertyName** (string) The name of the property to sort the subscriptions by. Possible values: Offer.Name, RenewalStatus - **ascendingOrder** (boolean) if set to `true` [ascending order]. - **subscriptionStatuses** (string) A string containing the SubscriptionStatuses to filter by. This string is a list separated by |. ex: Active|Suspended - **subscriptionOfferTypes** (string) - **resellerId** (string(uuid)) The reseller identifier. View only the customer subscriptions for this reseller. - **offerId** (string(uuid)) The offer identifier to search by an offer if specified. ## Responses ### 200 OK #### Body: application/json (object) - **items** (array[object] | null) - **paginationParameters** (object) A model that is used to encapsulate the parameters needed to perform pagination queries. - **totalPages** (integer(int32)) - **totalCount** (integer(int32)) - **hasPreviousPage** (boolean) - **hasNextPage** (boolean) - **continuationToken** (string | null) - **totalUnfilteredCount** (integer(int32)) ### 400 Bad Request #### Body: application/json (object) - **statusCode** (integer(int32)) The HTTP status code that represents a specific error scenario. - **type** (string | null) The type of error that occurred. - **description** (string | null) Describes the error scenario that occurred. - **correlationId** (string | null) The correlationId of the request that originated the error. - **errors** (array[object] | null) A list containing the detail of the errors that occurred in this error scenario. ### 401 Unauthorized ### 403 Forbidden ### 500 Internal Server Error #### Body: application/json (object) - **statusCode** (integer(int32)) The HTTP status code that represents a specific error scenario. - **type** (string | null) The type of error that occurred. - **description** (string | null) Describes the error scenario that occurred. - **correlationId** (string | null) The correlationId of the request that originated the error. - **errors** (array[object] | null) A list containing the detail of the errors that occurred in this error scenario. [Powered by Bump.sh](https://bump.sh)